Skip to content

Execute carve action

POST
/api/v1/carves/{env}/{action}/{name}
curl --request POST \
--url https://osctrl.net/api/v1/carves/example/example/example \
--header 'Authorization: <Authorization>'

Deletes, expires, or otherwise acts on a file carve.

env
required
string

Environment name or UUID

action
required
string

Carve action

name
required
string

Carve query name

OK

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Bad request

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Unauthorized

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Forbidden

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Not found

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Conflict

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Too many requests

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Internal server error

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Service unavailable

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}